
Redmine - Defect #29055

Searching for issue number with REST API redirects to issue HTML page

2018-06-19 14:00 - Igor Antonov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 3.4.10   

Resolution: Fixed Affected version: 3.3.0

Description

Search REST API queries matching issue number (with or without "#") are being redirected to HTML issue page if the issue exists.

The redirect is caused by quick jump to issue at source:/tags/3.3.0/app/controllers/search_controller.rb#L40.

Quick jump is useful for search field in the UI but REST API response with redirect to an HTML page is... unexpected.

I suggest leaving quick jump for HTML response and actually searching for issue number-like text for REST API.

Associated revisions

Revision 17949 - 2019-03-15 08:28 - Jean-Philippe Lang

Searching for issue number with REST API redirects to issue HTML page (#29055).

Patch by Go MAEDA.

Revision 17950 - 2019-03-15 08:29 - Jean-Philippe Lang

Merged r17949 to 4.0-stable (#29055).

Revision 17951 - 2019-03-15 08:30 - Jean-Philippe Lang

Merged r17949 to 3.4-stable (#29055).

History

#1 - 2019-03-02 07:37 - Go MAEDA

- File fix-29055.patch added

- Target version set to Candidate for next minor release

Probably the redirecting is nouse for API clients. Here is a patch to fix it.

#2 - 2019-03-03 02:05 - Go MAEDA

- Target version changed from Candidate for next minor release to 3.4.10

Setting the target version to 3.4.10.

#3 - 2019-03-15 08:30 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fix committed, thanks. Test moved to the API tests.

Files

fix-29055.patch 1.13 KB 2019-03-02 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.3.0/app/controllers/search_controller.rb#L40
http://www.tcpdf.org

